    /*
    * Arduino Wireless Communication Tutorial
    *     Example 1 - Transmitter Code
    *                
    * by Dejan Nedelkovski, www.HowToMechatronics.com
    * 
    * Library: TMRh20/RF24, https://github.com/tmrh20/RF24/
    */
    #include <SPI.h>
    #include <nRF24L01.h>
    #include <RF24.h>

// Obviously: REMOTE WORKS AS TRANSMITTER !!
// D4 nRF:     : CE_nRF   (Activates RX or TX role)
// D7 nRF:     : CSN_nRF
RF24 radio(4, 7); // CE, CSN
    
    const byte address[6] = "00001";
    void setup() {
      Serial.begin(9600);
      Serial.println("RESET done for Transmitter");
      radio.begin();
      radio.openWritingPipe(address);
      radio.setPALevel(RF24_PA_MIN);
      radio.stopListening();
    }
    void loop() {
      const char text[] = "Hello World";
      Serial.print("\nSending: "); Serial.print(text);
      radio.write(&text, sizeof(text));
      delay(1000);
    }
